/************************************************

       This file has no copyright assigned
          and is in the Public Domain.

		 http://home.scarlet.be/zoetrope
         http://home.tiscali.be/zoetrope

************************************************/
#include "arcfour.h"
#include <stdio.h>
#include <string.h>

int main(void)
{
	char dest[256], *text, *key;
	size_t i;

	/* result must be BBF316E8D940AF0AD3 */

	text = "Plaintext"; key = "Key";
	arcfour(dest, text, key);
	for (i = 0; i < strlen(text); i++)
		printf("%02X", (unsigned char)dest[i]);

	printf("\n");

	/* result must be 1021BF0420 */

	text = "pedia"; key = "Wiki";
	arcfour(dest, text, key);
	for (i = 0; i < strlen(text); i++)
		printf("%02X", (unsigned char)dest[i]);

	printf("\n");

	/* result must be 45A01F645FC35B383552544B9BF5 */

	text = "Attack at dawn"; key = "Secret";
	arcfour(dest, text, key);
	for (i = 0; i < strlen(text); i++)
		printf("%02X", (unsigned char)dest[i]);

	return 0;
}

